X
Tap here to go to the mobile version of the site.

منتدى الدعم

Update doesn't work. Tried several times but still shows old version of Mozilla and of adobe Acrobat..

Posted

I have version 3.6.7 and History shows it has not been updated in two years. (I was using IE for a while but switched back to Mozilla a couple of weeks ago, but I can't get it to Update. It shows that the update has downloaded but it doesn't get activated. I also downloaded Adobe Acrobat update from the Mozilla plug-in page and that also did not seem to "take". What can I do?

I have version 3.6.7 and History shows it has not been updated in two years. (I was using IE for a while but switched back to Mozilla a couple of weeks ago, but I can't get it to Update. It shows that the update has downloaded but it doesn't get activated. I also downloaded Adobe Acrobat update from the Mozilla plug-in page and that also did not seem to "take". What can I do?

Additional System Details

Installed Plug-ins

  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • npmnqmp 989898989877
  • Office Plugin for Netscape Navigator
  • Default Plug-in
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Adobe PDF Plug-In For Firefox and Netscape "9.5.2"
  • Google Update
  • Shockwave Flash 10.3 r183
  • Adobe Shockwave for Director Netscape plug-in, version 11.5
  • iTunes Detector Plug-in
  • Picasa plugin
  • Version 1.0.5, copyright 1996-2010 The VideoLAN Teamhttp://www.videolan.org/
  • Adobe PDF Plug-In For Firefox and Netscape "9.4.4"

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.2.7) Gecko/20100713 Firefox/3.6.7 GTB7.1

More Information

Tyler Downer
  • Top 25 Contributor
  • Moderator
1535 solutions 10713 answers

Try the following:

Update Firefox by going to www.getfirefox.com. Download the newer version of Firefox, and install it over your current Firefox install.

Then, read Websites say that Firefox is outdated or incompatible even though it's the latest version, follow all directions there.

after doing that, download Flash 11.4 from http://download.macromedia.com/pub/flashplayer/current/support/install_flash_player.exe and install it (close firefox first)

Try the following: Update Firefox by going to [http://www.getfirefox.com www.getfirefox.com]. Download the newer version of Firefox, and install it over your current Firefox install. Then, read [[Websites say that Firefox is outdated or incompatible even though it's the latest version]], follow all directions there. after doing that, download Flash 11.4 from [http://download.macromedia.com/pub/flashplayer/current/support/install_flash_player.exe http://download.macromedia.com/pub/flashplayer/current/support/install_flash_player.exe] and install it (close firefox first)